
Redmine - Defect #13579

Datepicker uses Simplified Chinese in Traditional Chinese locale

2013-03-25 07:39 - Chage Juan

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: I18n Estimated time: 0.00 hour

Target version: 2.3.1   

Resolution: Fixed Affected version:  

Description

Setting added: jquery.locale

diff --git a/config/locales/zh-TW.yml b/config/locales/zh-TW.yml

index 1483201..8293256 100644

--- a/config/locales/zh-TW.yml

+++ b/config/locales/zh-TW.yml

@@ -4,6 +4,8 @@

 "zh-TW":

   direction: ltr

+  jquery:

+    locale: "zh-TW" 

   date:

     formats:

       # Use the strftime parameters for formats.

Related issues:

Related to Redmine - Feature #19489: Translation for Spanish Panama Closed

Associated revisions

Revision 11682 - 2013-03-25 11:41 - Toshi MARUYAMA

fix that datepicker uses Simplified Chinese in Traditional Chinese locale (#13579)

Contributed by Chage Juan.

Revision 11685 - 2013-03-25 12:46 - Toshi MARUYAMA

add test of datepicker in Simplified Chinese and Traditional Chinese (#13579)

Revision 11689 - 2013-03-25 15:50 - Toshi MARUYAMA

Merged r11682 and r11685 from trunk to 2.3-stable (#13579)

fix that datepicker uses Simplified Chinese in Traditional Chinese locale.

Contributed by Chage Juan.

History

#1 - 2013-03-25 08:32 - Toshi MARUYAMA

Could you tell me why does it need?

#2 - 2013-03-25 11:05 - Chage Juan

Sorry, my English is poor. (so I'm afraid to write too much)

The language setting of my account is set to "zh-TW".

But the datepicker of jquery ui will show "zh-CN".

(It includes file "i18n/jquery.ui.datepicker-zh-CN.js" not "i18n/jquery.ui.datepicker-zh-TW.js")

After I traced the code. I found there is a setting in "config/locale/zh.yml" which is:
jquery:

  locale: "zh-CN" 

So I added similar settings to "config/locale/zh-TW.yml".

And that works.    

I don't know if this is right way to fix my problem. Is it?

#3 - 2013-03-25 11:18 - Toshi MARUYAMA

- Tracker changed from Patch to Defect

- Status changed from New to Confirmed

- Target version set to 2.3.1

#4 - 2013-03-25 11:19 - Toshi MARUYAMA

- Subject changed from Traditional Chinese "jquery.locale" setting to Datepicker uses Simlified Chinese in Traditional Chinese

#5 - 2013-03-25 11:25 - Toshi MARUYAMA

- File correct.png added

- File wrong.png added

Confirmed.

wrong

 wrong.png 

correct

 correct.png 

#6 - 2013-03-25 11:26 - Toshi MARUYAMA

- Subject changed from Datepicker uses Simlified Chinese in Traditional Chinese to Datepicker uses Simlified Chinese in Traditional Chinese locale

#7 - 2013-03-25 11:29 - Toshi MARUYAMA

- Subject changed from Datepicker uses Simlified Chinese in Traditional Chinese locale to Datepicker uses Simplified Chinese in Traditional Chinese

locale

#8 - 2013-03-25 17:24 - Toshi MARUYAMA

- Status changed from Confirmed to Closed

- Resolution set to Fixed

Committed in trunk and 2.3-stable, thanks.

#9 - 2015-04-24 06:23 - Toshi MARUYAMA

- Related to Feature #19489: Translation for Spanish Panama added

Files

correct.png 32.8 KB 2013-03-25 Toshi MARUYAMA

wrong.png 32 KB 2013-03-25 Toshi MARUYAMA
